Error when installing qiime2-2019.7 on Linux

Hi, I’ve successfully installed older versions of qiime2, when I try to install 2019.7 on this Linux Mint 19.04 PC, I’ve got error messages like this:

Blockquote
(base) [email protected]:~$ conda env create -n qiime2-2019.7 --file qiime2-2019.7-py36-linux-conda.yml
Collecting package metadata (repodata.json): done
Solving environment: done
Preparing transaction: done
Verifying transaction: done
Executing transaction: \ b’Enabling notebook extension jupyter-js-widgets/extension…\n - Validating: \x1b[32mOK\x1b[0m\n’
done
ERROR conda.core.link:_execute(696): An error occurred while installing package ‘bioconda::bioconductor-genomeinfodbdata-1.2.1-r351_0’.
Rolling back transaction: done
class: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.1-r351_0
location of failed script: /home/server-mk/miniconda3/envs/qiime2-2019.7/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout: ERROR: post-link.sh was unable to download any of the following URLs with the md5sum 2fd536521151e2ff37217b5cfee8cec4:
https://bioconductor.org/packages/3.9/data/annotation/src/contrib/GenomeInfoDbData_1.2.1.tar.gz
https://bioarchive.galaxyproject.org/GenomeInfoDbData_1.2.1.tar.gz
https://depot.galaxyproject.org/software/bioconductor-genomeinfodbdata/bioconductor-genomeinfodbdata_1.2.1_src_all.tar.gz

stderr: % Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0curl: (35) error:1408F10B:SSL routines:ssl3_get_record:wrong version number
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0curl: (35) error:1408F10B:SSL routines:ssl3_get_record:wrong version number
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0curl: (35) error:1408F10B:SSL routines:ssl3_get_record:wrong version number

return code: 1

kwargs:
{}

Traceback (most recent call last):
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda/exceptions.py”, line 1062, in call
return func(*args, **kwargs)
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda_env/cli/main.py”, line 73, in do_call
exit_code = getattr(module, func_name)(args, parser)
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda_env/cli/main_create.py”, line 101, in execute
installer.install(prefix, pkg_specs, args, env)
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda_env/installers/conda.py”, line 31, in install
unlink_link_transaction.execute()
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda/core/link.py”, line 247, in execute
self._execute(tuple(concat(interleave(itervalues(self.prefix_action_groups)))))
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda/core/link.py”, line 712, in _execute
rollback_excs,
conda.CondaMultiErrorclass: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.1-r351_0
location of failed script: /home/server-mk/miniconda3/envs/qiime2-2019.7/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout: ERROR: post-link.sh was unable to download any of the following URLs with the md5sum 2fd536521151e2ff37217b5cfee8cec4:
https://bioconductor.org/packages/3.9/data/annotation/src/contrib/GenomeInfoDbData_1.2.1.tar.gz
https://bioarchive.galaxyproject.org/GenomeInfoDbData_1.2.1.tar.gz
https://depot.galaxyproject.org/software/bioconductor-genomeinfodbdata/bioconductor-genomeinfodbdata_1.2.1_src_all.tar.gz

stderr: % Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0curl: (35) error:1408F10B:SSL routines:ssl3_get_record:wrong version number
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0curl: (35) error:1408F10B:SSL routines:ssl3_get_record:wrong version number
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0curl: (35) error:1408F10B:SSL routines:ssl3_get_record:wrong version number

return code: 1

kwargs:
{}

: <exception str() failed>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/server-mk/miniconda3/bin/conda-env”, line 7, in
sys.exit(main())
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda_env/cli/main.py”, line 84, in main
return conda_exception_handler(do_call, args, parser)
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda/exceptions.py”, line 1354, in conda_exception_handler
return_value = exception_handler(func, *args, **kwargs)
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda/exceptions.py”, line 1065, in call
return self.handle_exception(exc_val, exc_tb)
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda/exceptions.py”, line 1096, in handle_exception
return self.handle_application_exception(exc_val, exc_tb)
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda/exceptions.py”, line 1112, in handle_application_exception
self._print_conda_exception(exc_val, exc_tb)
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda/exceptions.py”, line 1116, in _print_conda_exception
print_conda_exception(exc_val, exc_tb)
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda/exceptions.py”, line 1039, in print_conda_exception
stderrlog.error("\n%r\n", exc_val)
File “/home/server-mk/miniconda3/lib/python3.7/logging/init.py”, line 1412, in error
self._log(ERROR, msg, args, **kwargs)
File “/home/server-mk/miniconda3/lib/python3.7/logging/init.py”, line 1519, in _log
self.handle(record)
File “/home/server-mk/miniconda3/lib/python3.7/logging/init.py”, line 1528, in handle
if (not self.disabled) and self.filter(record):
File “/home/server-mk/miniconda3/lib/python3.7/logging/init.py”, line 762, in filter
result = f.filter(record)
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda/gateways/logging.py”, line 60, in filter
record.msg = record.msg % new_args
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda/init.py”, line 123, in repr
errs.append(e.repr())
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda/init.py”, line 62, in repr
return ‘%s: %s’ % (self.class.name, text_type(self))
File “/home/server-mk/miniconda3/lib/python3.7/site-packages/conda/init.py”, line 81, in str
return text_type(self.message % self._kwargs)
ValueError: unsupported format character ‘T’ (0x54) at index 688

Blockquote

I’m working under proxy connected PC, and already set the conda for proxy setting (tested & worked)
Is there any solutions?

Thanks.error log install qiime2 2019.7.txt (7.3 KB)

Hi @didietkeren! We have seen this issue before, and it is usually related to this:

I would take a closer look at the conda docs to make sure you have the proxy set up correctly.